- job:
    name: ldcg-python-manylinux-tensorflow-onednn-nightly
    project-type: freestyle
    defaults: global
    triggers:
        - timed: '10 0 * * *'
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - bool:
            name: useclang
            default: true
            description: 'Use clang to build instead of gcc'
        - bool:
            name: buildgit
            default: true
            description: 'Build git HEAD'
        - bool:
            name: buildonednn
            default: true
            description: 'Build with oneDNN/ACL'
        - bool:
            name: buildonednnopt
            default: true
            description: 'Set TF_ENABLE_ONEDNN_OPT=1'
    disabled: true
    node: ldcg-aarch64-02
    concurrent: false
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-python-manylinux-tensorflow/build.sh
        - shell:
            !include-raw: ldcg-python-manylinux-tensorflow/publishers.sh
    publishers:
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org andrew.goodbody@linaro.org ldcg-ai-ml@op-lists.linaro.org'
